MyGUI::GenericFactory< Type > Class Template Reference

`#include <MyGUI_GenericFactory.h>`

## Public Types

using | Delegate = delegates::Delegate<IObject*&>

## Static Public Member Functions

static Delegate::IDelegate * | getFactory ()

## Detailed Description

template<typename Type>
class MyGUI::GenericFactory< Type >

Definition at line 19 of file MyGUI_GenericFactory.h.

## Member Typedef Documentation

## Delegate

template<typename Type>

using MyGUI::GenericFactory< Type >::Delegate = delegates::Delegate<IObject*&>

Definition at line 22 of file MyGUI_GenericFactory.h.

## Member Function Documentation

## getFactory()

template<typename Type>

Delegate::IDelegate * MyGUI::GenericFactory< Type >::getFactory | ( |  | ) |

inline static

Definition at line 23 of file MyGUI_GenericFactory.h.

The documentation for this class was generated from the following file:

- MyGUI_GenericFactory.h